<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.CorporateChangeEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】組織切替え画面">

<%-- ユーザー情報 --%>
<% final UserInfo info = UserInfo.getUserInfo(); %>

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <script src="~/_script/input.js"></script>

  <!-- 画面固有のJS -->
  <script>

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     * @param  pmEvent 実行したイベント名
     * @param  pmHTML 処理結果HTML
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の処理を実装。
     * @param  pmEvent 実行したイベント名
     * @return 処理を続行(true) or 停止(false)
     */
    function preSubmit(pmEvent)
    {
      return true;
    }

    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {

    }

  </script>

  <!-- 画面固有のCSS -->
  <style>

    /* タイトル */
    span#LABEL_TITLE
    {
      margin :  0px  0px  0px  2px;
    }

    /* 選択中の組織 */
    div#BLOCK_SELECTED
    {
      margin : 10px  0px  0px  0px;
    }

    /* 組織一覧 */
    div#BLOCK_CORPORATE_LIST
    {
      max-width : 980px;
      min-width : 800px;
      width     : 100%;
    }

    table#CORPORATE_LIST
    {
      width     : 100%;
    }

    table#CORPORATE_LIST tbody tr td
    {
      padding   : 6px;
    }

    td.TOP
    {
      vertical-align : top;
    }

  </style>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
 <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<div id="BLOCK_DETAIL">

<usax:label id="SUBTITLE" />
<br>

<usax:visible visible="<%=(!UserInfo.UNKNOWN.equals(info.getCorporateCode())) %>">
<div id="BLOCK_SELECTED">
 <usax:label id="SELECTED" />
 {@context:CORPORATE_NAME}
 <br>
 <usax:button id="BTN_HOME" type="link" />
</div>
<br>
</usax:visible>


<usax:list id="CORPORATE_LIST">
 <usax:listCustom id="CORPORATE_NAME"
  join="CORPORATE_CODE"
  css="TOP">
  <usax:button id="BTN_CORPORATE_SELECT" type="link"
   label="@resource:CORPORATE_NAME" />
 </usax:listCustom>

 <usax:listColumn id="BRANCH_NAME"
  join="CORPORATE_CODE, BRANCH_CODE"
  css="TOP" />
 <usax:listColumn id="GROUP_NAME"  />
</usax:list>

</div><br>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

</usax:contents>
