<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.web.event.io.ScreenLockIF" %>
<%@ page import="jp.co.cam.usax.rule.bean.ListBeanIF" %>
<%@ page import="jp.co.cam.usax.context.UserInfo" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.hogehoge.HomeEvent"
 title="Example｜USAX(BRMS)"
 description="【Example】ホーム画面">

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <script src="~/_script/input.js"></script>

  <!-- 画面固有のJS -->
  <script>

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     * @param  pmEvent 実行したイベント名
     * @param  pmHTML 処理結果HTML
     */
    function callBack(pmEvent, pmHTML)
    {

    }

    /**
     * 送信前の処理を実装。
     * @param  pmEvent 実行したイベント名
     * @return 処理を続行(true) or 停止(false)
     */
    function preSubmit(pmEvent)
    {
        return true;
    }

    /**
     * 入力項目のクリア。
     */
    function clearFormValue()
    {

    }

  </script>

  <!-- 画面固有のCSS -->
  <style>

  </style>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <jsp:include page="/_master/_menu_head.jsp" flush="false" />
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<div id="BLOCK_DETAIL">

<usax:visible visible="<%=(event.getString(\"LASTLOGIN\") != null) %>">
<usax:label id="LASTLOGIN"     />
{@context:LASTLOGIN}
<br>
</usax:visible>

<usax:label id="LABEL_WELCOME" />
{@context:CORPORATE_NAME}
{@context:USER_NAME}
<br>


</div><br>
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">
 <jsp:include page="/_master/_menu_foot.jsp" flush="false" />
</usax:content>

 <%-- テスト //////////////////////////////////////////////////////////////////////////////////// --%>
 <usax:content id="USAX_SCREEN_DEBUG">
 <% if (jp.co.cam.usax.debug.DebuggerFactory.get().isDevelopmentMode()) { %>
  <table id="BLOCK_USAX_INSPECTION">
   <tr>
    <td class="LABEL_L"><usax:label id="USAX_INSPECTION" /></td>
    <td>
     <usax:file id="USAX_INSPECTION" chank="false" />
     <usax:button type="button" id="BTN_USAX_INSPECTION" css="buttonS"
     label="読込み" />
    </td>
   </tr>
  </table>
  <br>
  <% if (event.getBoolean("USAX_INSPECT")) { %>
  <%@ include file="/_master/inspection.jsp" %>
  <% } %>
 <% } %>
 </usax:content>
 <%-- テスト //////////////////////////////////////////////////////////////////////////////////// --%>

</usax:contents>
