<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="jp.co.cam.usax.LicenseManager" %>
<%@ taglib uri="/tags/usax" prefix="usax" %>
<usax:contents master="<%=jp.co.cam.usax.configuration.ResourceFactory.get().get(\"JSP_MASTER_DEFAULT\") %>"
 bean="jp.co.cam.usax.license.LicenseEvent"
 title="Universal Java Framework X"
 description="ライセンス認証画面">

<!-- ●○●○● ↓↓↓ パーツ：JavaScript/CSS ↓↓↓ ●○●○● -->
<usax:content id="USAX_CONFIGURATION">

  <!-- 画面固有のJS -->
  <script>

    /**
     * 画面表示直後の初期処理。
     */
    function pageInitialize()
    {

    }

    /**
     * 画面書換え後の処理。
     */
    function pageRewrite()
    {

    }

    /**
     * 非同期通信後のコールバック処理を実装。
     * @param  pmEvent 実行したイベント名
     * @param  pmHTML 処理結果HTML
     */
    function callBack(pmEvent, pmHTML)
    {

    }

  </script>

  <!-- 画面固有のCSS -->
  <style>

    div#BLOCK_DETAIL
    {
      border-radius :  10px;
      border        : 1px solid #666666;

      max-width       : 350px; 
      min-width       : 350px;
      width           : 350px;

      margin-top      : 200px;
      margin-left     : auto;
      margin-right    : auto;
    }

    span.SYSTEM_GREEN
    {
      line-height : 20px;
      font-weight : bold;
      font-size   : 10pt;
      color       : #009020;
    }

    span.SYSTEM_ERROR
    {
      line-height : 20px;
      font-weight : bold;
      font-size   : 10pt;
      color       : #D01010;
    }

  </style>

</usax:content>


<!-- ●○●○● @USAX_CONTENTS_HEAD ●○●○● -->
<usax:content id="USAX_CONTENTS_HEAD">
  <usax:label id="TITLE" />
</usax:content>


<!-- ●○●○● @USAX_CONTENTS_BODY ●○●○● -->
<usax:content id="USAX_CONTENTS_BODY">
<div id="BLOCK_DETAIL">

 <usax:visible visible="<%=!LicenseManager.checkLicenseCode(event.getString(\"HOST_NAME\")) %>">
  <usax:label id="LICENSE_NONE" css="SYSTEM_ERROR" />
  <br>

  <usax:label id="INSTALLED" />
  <usax:label text="@resource:INSTALLED" />
  <span>/</span>
  <usax:label id="USED_DAYS" />
  <usax:label text="@resource:USED_DAYS" />
  <br>
  <hr>
  <br>

  <usax:label id="HOST_NAME" />
  <usax:label text="@resource:HOST_NAME" />
  <br>

  <usax:text id="LICENSE" type="text" /><br>
  <usax:button id="btn_regist" type="button"
   css="buttonM" />
 </usax:visible>

 <usax:visible visible="<%=LicenseManager.checkLicenseCode(event.getString(\"HOST_NAME\")) %>">
  <usax:label id="LICENSE_HAVE" css="SYSTEM_GREEN" /><br>
 </usax:visible>

 <br>
 <hr>
 <br>
 <usax:label id="CAMEL" />
 <br>
</div>


</usax:content>


<!-- ●○●○● @USAX_CONTENTS_FOOT ●○●○● -->
<usax:content id="USAX_CONTENTS_FOOT">

</usax:content>

</usax:contents>
